Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.yaac.pluginapi
Class Provider.PortEntry

    java.lang.Object
      org.ka2ddo.yaac.pluginapi.Provider.PortEntry

All Implemented Interfaces:
  java.util.Map.Entry<java.lang.String,java.lang.Class<? extends PortConnector>>

Enclosing class:
  Provider

    public static final class Provider.PortEntry

extends java.lang.Object
implements java.util.Map.Entry<java.lang.String,java.lang.Class<? extends PortConnector>>

This class describes the name and implementing Class of an interface port driver.

Constructor Summary
`Provider.PortEntry(java.lang.String typeName, java.lang.Class<? extends PortConnector> pcClazz)`

Method Summary
`java.lang.String` | `getKey()`
`java.lang.Class<? extends PortConnector>` | `getValue()`
`java.lang.Class<? extends PortConnector>` | `setValue(java.lang.Class<? extends PortConnector> value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Map.Entry
`equals, hashCode`

Constructor Detail

### Provider.PortEntry

    public Provider.PortEntry(java.lang.String typeName,
                              java.lang.Class<? extends PortConnector> pcClazz)

Method Detail

### getKey

    public java.lang.String getKey()

  Specified by:
    `getKey` in interface `java.util.Map.Entry<java.lang.String,java.lang.Class<? extends PortConnector>>`

### getValue

    public java.lang.Class<? extends PortConnector> getValue()

  Specified by:
    `getValue` in interface `java.util.Map.Entry<java.lang.String,java.lang.Class<? extends PortConnector>>`

### setValue

    public java.lang.Class<? extends PortConnector> setValue(java.lang.Class<? extends PortConnector> value)

  Specified by:
    `setValue` in interface `java.util.Map.Entry<java.lang.String,java.lang.Class<? extends PortConnector>>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD